Failed

pyspark.tests.test_taskcontext.TaskContextTestsWithResources.test_cpus (from pyspark.tests.test_taskcontext.TaskContextTestsWithResources-20211127093059)

Failing for the past 1 build (Since #3388 )
Took 1 ms.

Error Message

[Errno 111] Connection refused

Stacktrace

Traceback (most recent call last):
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/tests/test_taskcontext.py", line 312, in setUp
    conf = SparkConf().set("spark.test.home", SPARK_HOME)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/conf.py", line 131, in __init__
    self._jconf = _jvm.SparkConf(loadDefaults)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/java_gateway.py", line 1700, in __getattr__
    "\n" + proto.END_COMMAND_PART)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/java_gateway.py", line 1036, in send_command
    connection = self._get_connection()
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 281, in _get_connection
    connection = self._create_new_connection()
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 288, in _create_new_connection
    connection.connect_to_java_server()
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 402, in connect_to_java_server
    self.socket.connect((self.java_address, self.java_port))
ConnectionRefusedError: [Errno 111] Connection refused
		

Standard Output

	

Standard Error

/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/context.py:274: FutureWarning: Python 3.6 support is deprecated in Spark 3.2.
  warnings.warn("Python 3.6 support is deprecated in Spark 3.2.", FutureWarning)
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 45898)
Traceback (most recent call last):
  File "/home/anaconda/envs/py36/lib/python3.6/socketserver.py", line 320, in _handle_request_noblock
    self.process_request(request, client_address)
  File "/home/anaconda/envs/py36/lib/python3.6/socketserver.py", line 351, in process_request
    self.finish_request(request, client_address)
  File "/home/anaconda/envs/py36/lib/python3.6/socketserver.py", line 364, in finish_request
    self.RequestHandlerClass(request, client_address, self)
  File "/home/anaconda/envs/py36/lib/python3.6/socketserver.py", line 724, in __init__
    self.handle()
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/accumulators.py", line 266, in handle
    poll(accum_updates)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/accumulators.py", line 238, in poll
    if func():
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/accumulators.py", line 242, in accum_updates
    num_updates = read_int(self.rfile)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/pyspark/serializers.py", line 588, in read_int
    raise EOFError
EOFError
----------------------------------------
ERROR:root:Exception while sending command.
Traceback (most recent call last):
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 475, in send_command
    answer = smart_decode(self.stream.readline()[:-1])
  File "/home/anaconda/envs/py36/lib/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/java_gateway.py", line 1038, in send_command
    response = connection.send_command(command)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 504, in send_command
    "Error while sending or receiving", e, proto.ERROR_ON_RECEIVE)
py4j.protocol.Py4JNetworkError: Error while sending or receiving
ERROR:root:Exception while sending command.
Traceback (most recent call last):
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 480, in send_command
    raise Py4JNetworkError("Answer from Java side is empty")
py4j.protocol.Py4JNetworkError: Answer from Java side is empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/java_gateway.py", line 1038, in send_command
    response = connection.send_command(command)
  File "/home/jenkins/workspace/spark-master-test-sbt-hadoop-3.2/python/lib/py4j-0.10.9.2-src.zip/py4j/clientserver.py", line 504, in send_command
    "Error while sending or receiving", e, proto.ERROR_ON_RECEIVE)
py4j.protocol.Py4JNetworkError: Error while sending or receiving